import Vue from 'vue'

import d2Container from './d2-container'

// 注意 有些组件使用异步加载会有影响
Vue.component('d2-container', d2Container)
Vue.component('d2-icon', () => import('./d2-icon'))
Vue.component('d2-icon-svg', () => import('./d2-icon-svg/index.vue'))

Vue.component('pubilc-tree', () => import('./pubilc-tree'))
Vue.component('custom-select', () => import('./custom-select'))
Vue.component('department-tree', () => import('./department-tree'))
Vue.component('staff-tree', () => import('./staff-tree'))
Vue.component('mt-tree', () => import('./mt-tree'))
Vue.component('zl-button', () => import('./zl-button'))
Vue.component('equi-tree', () => import('./equi-tree'))
Vue.component('staffcard-tree', () => import('./staffcard-tree'))
Vue.component('registerstaff-tree', () => import('./registerstaff-tree'))
Vue.component('room-tree', () => import('./room-tree'))